/**
 * Filename: client_register.h
 *
 * Description: Header file that defines the client_register module
 *
 * Original Author: Nathan Boeger
 *
 * $Id: client_register.h,v 1.2 2002/04/25 08:09:33 nathan Exp $
 *
 */

#define REGISTER_NUM   (3)

class client_register
{
public:

   /*
    * Default constructor will do nothing
    */
   client_register();

   /*
    * This will create the client_register with the
    * client_sys_conf lexer s;
    */
   client_register(client_sys_conf *s);

   /*
    * run
    *
    * This will run the register module
    */
   int run();

   /*
    * Destructor 
    * no dynamic mem, does nothing
    */
   ~client_register();

private:
   int error;
   client_sys_conf *sys_conf;
};

