/**
 * Filename: client_client.h
 *
 * Description: Client module, this will run all the other modules and
 * is the class run from main
 *
 * Original Author: Nathan Boeger
 *
 * $Id: khneia_client.h,v 1.4 2002/04/25 08:09:33 nathan Exp $
 *
 */

class khneia_client 
{
public:

   /*
    * default constructor
    */
   khneia_client();

   /*
    * run
    * run the client. first task is to read out the config file then
    * register with the main server. After that listen for tasks
    */
   int run();

   /*
    * register_host
    * this will register the host with the khneia master server
    */
   int register_host();

   /*
    * stop
    * Stop will close the socket connections
    */

   /*
    * destructor
    */
   ~khneia_client();

private:
   int error;
   client_sys_conf *conf;
};
